"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _web_integration_contexts_1 = require("../../contexts");
const react_1 = __importStar(require("react"));
const react_dom_1 = require("react-dom");
const Modal_style_1 = __importDefault(require("./Modal.style"));
const Modal = (props) => {
    const { isOpen, children } = props;
    const { modalWidth, modalStatus } = react_1.useContext(_web_integration_contexts_1.LayoutContext);
    // element to which the modal will be rendered
    const modalId = "__hypernet-protocol-modal-root__";
    const el = document.createElement("div");
    let modalRoot;
    react_1.useEffect(() => {
        const modalElm = document.getElementById(modalId);
        //remove if there is already a modal opened
        if (modalElm) {
            modalElm.remove();
        }
        // initiate modal container
        modalRoot = document.createElement("div");
        modalRoot.id = modalId;
        document.body.appendChild(modalRoot);
    }, [modalWidth, modalStatus]);
    react_1.useEffect(() => {
        // append to root when the children of Modal are mounted
        modalRoot.appendChild(el);
        // do a cleanup
        return () => {
            modalRoot.removeChild(el);
        };
    }, [el, modalWidth, modalStatus]);
    return (react_1.default.createElement(react_1.default.Fragment, null, isOpen &&
        react_dom_1.createPortal(react_1.default.createElement("div", { style: Modal_style_1.default.container },
            react_1.default.createElement("div", { style: Object.assign(Object.assign({}, Modal_style_1.default.wrapper), { width: modalWidth }) },
                react_1.default.createElement("div", { style: Modal_style_1.default.closeIcon, onClick: () => modalRoot.removeChild(el) },
                    react_1.default.createElement("img", { src: "https://res.cloudinary.com/dqueufbs7/image/upload/v1611371438/images/Close-512.png", width: "20" })),
                children)), el)));
};
exports.default = Modal;
//# sourceMappingURL=Modal.js.map