"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const web_ui_1 = require("@hypernetlabs/web-ui");
const _web_integration_hooks_1 = require("../../hooks");
const FundWidget = () => {
    const { tokenSelectorOptions, selectedPaymentToken, setSelectedPaymentToken, depositFunds, mintTokens, resultMessage, amount, setAmount, } = _web_integration_hooks_1.useFund();
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(web_ui_1.TokenSelector, { tokenSelectorOptions: tokenSelectorOptions, selectedPaymentToken: selectedPaymentToken, setSelectedPaymentToken: setSelectedPaymentToken }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.TextInput, { label: "Amount", value: amount, onChange: setAmount }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.Button, { onClick: depositFunds, disabled: !(selectedPaymentToken === null || selectedPaymentToken === void 0 ? void 0 : selectedPaymentToken.address), label: "Fund" }),
        react_1.default.createElement("br", null),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.Button, { onClick: mintTokens, label: "Mint HyperToken" }),
        react_1.default.createElement("br", null),
        react_1.default.createElement("h3", null, resultMessage === null || resultMessage === void 0 ? void 0 : resultMessage.message)));
};
exports.default = FundWidget;
//# sourceMappingURL=FundWidget.js.map