"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const web_ui_1 = require("@hypernetlabs/web-ui");
const hypernet_core_1 = require("@hypernetlabs/hypernet-core");
const objects_1 = require("../../interfaces/objects");
const _web_integration_hooks_1 = require("../../hooks");
const PaymentWidget = (props) => {
    const { tokenSelectorOptions, selectedPaymentToken, setSelectedPaymentToken, sendFunds, setCounterPartyAccount, counterPartyAccount, paymentType, setExpirationDate, setAmount, setPaymentType, setRequiredStake, paymentTypeOptions, amount, requiredStake, expirationDate, resultMessage, } = _web_integration_hooks_1.usePayment(Object.assign({}, props));
    const submitPaymentClick = () => {
        sendFunds();
    };
    if ((resultMessage === null || resultMessage === void 0 ? void 0 : resultMessage.status) === objects_1.EResultStatus.SUCCESS) {
        return (react_1.default.createElement("div", null,
            react_1.default.createElement("h3", null, resultMessage.message)));
    }
    return (react_1.default.createElement("div", null,
        react_1.default.createElement("h3", null, "Create Payment"),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.TextInput, { value: counterPartyAccount, onChange: setCounterPartyAccount, label: "public identifier", placeholder: "Enter public identifier" }),
        react_1.default.createElement("br", null),
        react_1.default.createElement(web_ui_1.SelectInput, { value: paymentType, onChange: (event) => setPaymentType(event.target.value), options: paymentTypeOptions, optionValueKey: "type", optionLabelKey: "typeName" }),
        react_1.default.createElement("br", null),
        paymentType === hypernet_core_1.EPaymentType.Push && (react_1.default.createElement("div", null,
            react_1.default.createElement(web_ui_1.TextInput, { value: requiredStake, onChange: setRequiredStake, label: "Required Stake:", placeholder: "Enter Required Stake" }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(web_ui_1.TokenSelector, { tokenSelectorOptions: tokenSelectorOptions, selectedPaymentToken: selectedPaymentToken, setSelectedPaymentToken: setSelectedPaymentToken }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(web_ui_1.TextInput, { value: amount, onChange: setAmount, label: "Amount:", placeholder: "Enter Amount" }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(web_ui_1.TextInput, { value: expirationDate, onChange: setExpirationDate, label: "Expiration Date:", placeholder: "Enter Expiration Date" }),
            react_1.default.createElement("br", null))),
        paymentType && (react_1.default.createElement(web_ui_1.Button, { onClick: submitPaymentClick, disabled: !(selectedPaymentToken === null || selectedPaymentToken === void 0 ? void 0 : selectedPaymentToken.address), label: "Submit Payment" })),
        react_1.default.createElement("br", null),
        react_1.default.createElement("h3", null, resultMessage === null || resultMessage === void 0 ? void 0 : resultMessage.message)));
};
exports.default = PaymentWidget;
//# sourceMappingURL=PaymentWidget.js.map